package pacote.dao;

import java.sql.*;
import java.util.ArrayList;
import java.util.List;
import pacote.model.DicionarioBean;

public class DicionarioDAO{
	private Connection conn;
    //s mudou a parte do mysql!
	private String jdbcURL = "jdbc:mysql://localhost:3306/renahb";
    private String nome = "renahb";
    private String senha = "renahb";
	private PreparedStatement listar, listar_local, listar_pessoa;
	
	public DicionarioDAO(){
		
		DicionarioBean dicionariobean = new DicionarioBean();
		
		try{
			
			//mudei o nome do driver!
			Class.forName("org.gjt.mm.mysql.Driver");
			conn = DriverManager.getConnection(jdbcURL, nome, senha);
			
			listar = conn.prepareStatement("SELECT * FROM entidadeNomeada order by abreviacao;");
			listar_local = conn.prepareStatement("SELECT * FROM entidadeNomeada where (categoria = 'local') order by abreviacao;");
			listar_pessoa = conn.prepareStatement("SELECT * FROM entidadeNomeada where (categoria = 'pessoa') order by abreviacao;");
			
		}
		catch(Exception ex){
			ex.printStackTrace();
		}
	}
	
	public List listar(){
		List listaAbrev = new ArrayList();
		
		try{
			ResultSet rs = listar.executeQuery();
			
			while (rs.next()) {
				DicionarioBean dicionarioBean = new DicionarioBean();
				dicionarioBean.setIdAbreviacao(rs.getInt("idAbreviacao"));
				dicionarioBean.setAbreviacao(rs.getString("abreviacao"));
				dicionarioBean.setExpansao(rs.getString("expansao"));
				dicionarioBean.setCategoria(rs.getString("categoria"));
				dicionarioBean.setTexto(rs.getString("texto"));
                listaAbrev.add(dicionarioBean);
            }
			
			rs.close();
		}
		catch(Exception e){
		}
		
		return listaAbrev;
	}
	
	public List listarLocal(){
		List listaAbrev = new ArrayList();
		
		try{
			ResultSet rs = listar_local.executeQuery();
			
			while (rs.next()) {
				DicionarioBean dicionarioBean = new DicionarioBean();
				dicionarioBean.setIdAbreviacao(rs.getInt("idAbreviacao"));
				dicionarioBean.setAbreviacao(rs.getString("abreviacao"));
				dicionarioBean.setExpansao(rs.getString("expansao"));
				dicionarioBean.setCategoria(rs.getString("categoria"));
				dicionarioBean.setTexto(rs.getString("texto"));
                listaAbrev.add(dicionarioBean);
            }
			
			rs.close();
		}
		catch(Exception e){
		}
		
		return listaAbrev;
	}
	
	
	public List listarPessoa(){
		List listaAbrev = new ArrayList();
		
		try{
			ResultSet rs = listar_pessoa.executeQuery();
			
			while (rs.next()) {
				DicionarioBean dicionarioBean = new DicionarioBean();
				dicionarioBean.setIdAbreviacao(rs.getInt("idAbreviacao"));
				dicionarioBean.setAbreviacao(rs.getString("abreviacao"));
				dicionarioBean.setExpansao(rs.getString("expansao"));
				dicionarioBean.setCategoria(rs.getString("categoria"));
				dicionarioBean.setTexto(rs.getString("texto"));
                listaAbrev.add(dicionarioBean);
            }
			
			rs.close();
		}
		catch(Exception e){
		}
		
		return listaAbrev;
	}

}
